#ifndef __NLL_STRING_H_INCLUDED__
#define __NLL_STRING_H_INCLUDED__

struct string {
  struct string *next;
  char s[STRING_MAXLEN + 1];
  int length;
};

int string_check(void);
int string_alloc(string_t *stringp);
int string_free(string_t string);
int string_del(string_t string);
int string_init(void);
int string_set(string_t string, char *s, int length);
int string_print(string_t string);
int string_dump(string_t string);

#endif
