#ifndef __NLL_CONFIG_H_INCLUDED__
#define __NLL_CONFIG_H_INCLUDED__

#ifdef USE_FLOATING_POINT
#define NLL_FLOATING_POINT
#endif

/* #define NLL_LOGICAL_OPERATOR_ORDER */

#define LINE_MAXLEN 256
#define LINE_MAXNUM 1024

#define SYMBOL_NAMELEN 32

#define LABEL_NAMELEN SYMBOL_NAMELEN
#define LABEL_MAXNUM 1024

#define VARIABLE_NAMELEN SYMBOL_NAMELEN
#define VARIABLE_MAXNUM 64

#define VALUE_MAXNUM 1024

#define STRING_MAXLEN 256
#define STRING_MAXNUM 64

#define ELEMENT_MAXNUM 1024

#define LABELCALL_RETVAL_MAXNUM 8

#define COMMAND_MAXNUM 1024
#define COMMAND_ARG_WORD_MAXLEN 16

#define POSITION_MAXNUM 32

#define ARRAY_MAXNUM 1024
#define ARRAY_DIM_MAXNUM 3

#define AREA_SIZE 4096

#define STACK_MAXNUM 64

#define FRAMEBUF_MAXWIDTH 120
#define FRAMEBUF_MAXHEIGHT 30
#define FRAMEBUF_DEFAULT_WIDTH 40
#define FRAMEBUF_DEFAULT_HEIGHT 25

#endif
