#ifndef __NLL_FRAMEBUF_H_INCLUDED__
#define __NLL_FRAMEBUF_H_INCLUDED__

int framebuf_get_screen_mode(void);
int framebuf_get_screen_width(void);
int framebuf_get_screen_height(void);
int framebuf_get_cursol_x(void);
int framebuf_get_cursol_y(void);
int framebuf_init(void);
int framebuf_setscreen(int mode, int width, int height, int flush, int cursol);
int framebuf_clear(int ch, int flush);
int framebuf_reset(void);
int framebuf_setcolor(int color);
int framebuf_setattr(int attr);
int framebuf_move_cursol(int x, int y);
int framebuf_move_up(int num);
int framebuf_move_down(int num);
int framebuf_move_left(int num);
int framebuf_move_right(int num);
int framebuf_scroll_up(int num);
int framebuf_scroll_down(int num);
int framebuf_cursol_on(void);
int framebuf_cursol_off(void);
int framebuf_puts(const char *str);
int framebuf_getch(int x, int y);

#endif
